unbound: Data Fields

unbound 0.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- s : autr_ta, mesh_state, mesh_state_ref, proxy, tap_socket_list, unbound_socket
- scan_addr : auth_probe, auth_transfer
- scan_specific : auth_probe, auth_transfer
- scan_target : auth_probe, auth_transfer
- scenario : replay_runtime
- scope : addrnode
- scratch : module_env
- scratch_buffer : module_env
- scratchpad : worker
- scrub_failures : iter_qstate
- secs : internal_base
- section : rrset_parse
- secure : ub_result
- security : packed_rrset_data, reply_info
- seed_rnd : ub_ctx
- sel_rtt : delegpt_addr
- send_query : module_env
- sent_count : iter_qstate
- serial : auth_xfer
- serve_expired : config_file
- serve_expired_client_timeout : config_file
- serve_expired_data : module_qstate
- serve_expired_reply_ttl : config_file
- serve_expired_ttl : config_file, reply_info
- serve_expired_ttl_reset : config_file
- serve_original_ttl : config_file
- server_cert_file : config_file
- server_key_file : config_file
- server_s : tcp_proxy
- serviced : fake_pending, outside_network
- serviced_initial : serviced_query
- serviced_query_status : serviced_query
- serviced_query_TCP : serviced_query
- serviced_query_TCP_EDNS : serviced_query
- serviced_query_TCP_EDNS_fallback : serviced_query
- serviced_query_UDP : serviced_query
- serviced_query_UDP_EDNS : serviced_query
- serviced_query_UDP_EDNS_fallback : serviced_query
- serviced_query_UDP_EDNS_FRAG : serviced_query
- set_fd : ub_event_vmt
- shake_state : rc_state
- shared_secret_cache_count : ub_server_stats
- shift : slabhash
- shm_enable : config_file
- shm_key : config_file
- sig_cb : replay_runtime
- sig_cb_arg : replay_runtime
- signal_nxdomain_ra : rpz
- signer_len : val_qstate
- signer_name : val_qstate
- since : perfinfo
- size : lruhash, ringbuf, rr_parse, rrset_parse, slabhash
- size_bytes : addrtree
- size_mask : lruhash
- sizefunc : addrtree, lruhash
- skew_max : val_env
- skew_min : val_env
- slab : key_cache
- sleeptime : entry
- slow_accept : internal_base
- slow_accept_enabled : internal_base
- smaller : order_lock
- so_rcvbuf : config_file
- so_reuseport : config_file
- so_sndbuf : config_file
- soa : local_zone
- soa_negative : local_zone
- socket : listen_port
- socket_path : dt_io_thread
- socketpath : tap_socket
- space_max : lruhash
- space_used : lruhash
- spool_buffer : tcp_req_info
- sq : pending
- sr : tube
- srctype : comm_reply
- srtt : rtt_info
- ssl : auth_master, comm_point, dt_io_thread, infra_arg, ratelimit_list_arg, tap_data
- ssl_brief_read : dt_io_thread
- ssl_brief_write : dt_io_thread, tap_data
- ssl_ctx : dt_io_thread
- ssl_failed : infra_arg
- ssl_handshake_done : dt_io_thread, tap_data
- ssl_port : config_file
- ssl_service_key : config_file
- ssl_service_pem : config_file
- ssl_shake_state : comm_point
- ssl_upstream : config_file, config_stub, delegpt, waiting_tcp
- sslctx : libworker, outside_network, tap_socket
- start : perfinfo
- start_accept : comm_base
- start_step : replay_range
- start_time : mesh_reply
- started : dt_io_thread
- started_no_cache_lookup : subnet_qstate
- started_no_cache_store : dns64_qstate, subnet_qstate
- started_toplevel : config_parser_state
- stat_cumulative : config_file
- stat_extended : config_file
- stat_inhibit_zero : config_file
- stat_interval : config_file
- stat_timer : worker
- state : dns64_qstate, iter_qstate, val_qstate
- stats : worker
- stats_dropped : mesh_area
- stats_jostled : mesh_area
- status : config_collate_arg, http2_stream, serviced_query
- stop_accept : comm_base
- stop_flush_event : dt_io_thread
- stop_frame : stop_flush_info
- stop_frame_done : stop_flush_info
- stop_frame_len : stop_flush_info
- store : cachedb_backend
- store_parent_NS : iter_qstate
- str : addredge, config_str2list, config_str3list, config_strbytelist, config_strlist, errinf_strlist
- str2 : config_str2list, config_str3list, config_strbytelist
- str3 : config_str3list
- stream_id : http2_stream
- stream_wait_size : config_file
- string : edns_string_addr, replay_moment
- string_len : edns_string_addr
- stubs : config_file
- sub_set : mesh_state
- subnet_msg_cache : subnet_env
- subtype : val_qstate
- sum_query_list_size : ub_server_stats
- super : alloc_cache, internal_timer
- super_set : mesh_state
- superalloc : daemon, ub_ctx
- supports_ipv4 : iter_env
- supports_ipv6 : iter_env
- svcd_overhead : outside_network
- svr : ub_stats_info
- sw : tube